Bug 1821362 - python2-libsemanage blocks upgrade from F30 to F32
Summary: python2-libsemanage blocks upgrade from F30 to F32
Keywords:
Status: CLOSED DUPLICATE of bug 1821357
Alias: None
Product: Fedora
Classification: Fedora
Component: libsemanage
Version: 32
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 16:47 UTC by ozeszty
Modified: 2020-04-06 17:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-06 17:19:53 UTC
Type: Bug


Attachments (Terms of Use)

Description ozeszty 2020-04-06 16:47:32 UTC
Description of problem:
(Probably) Not obsoleted package blocks upgrade from F30 to F32.

Steps to Reproduce:
1. dnf upgrade --refresh
2. dnf system-upgrade download --refresh --releasever=32

Actual results:
 Problem 2: package python2-libsemanage-2.9-1.fc30.x86_64 requires libsemanage(x86-64) = 2.9-1.fc30, but none of the providers can be installed
  - libsemanage-2.9-1.fc30.x86_64 does not belong to a distupgrade repository
  - problem with installed package python2-libsemanage-2.9-1.fc30.x86_64

Additional info:
Using before upgrade
dnf distro-sync
or adding to system-upgrade:
--skip-broken
--enablerepo=*testing
did not help.

Cinnamon Spin updated since ~F26.

Comment 1 Petr Lautrbach 2020-04-06 17:19:53 UTC

*** This bug has been marked as a duplicate of bug 1821357 ***


Note You need to log in before you can comment on or make changes to this bug.